Page MenuHomePhabricator

1.37.0-wmf.3 deployment blockers
Closed, ResolvedPublicRelease

Details

Backup Conductor
jeena
Release Version
1.37.0-wmf.3
Release Date
Mon, Apr 26, 12:00 AM

2021 week 17 1.37-wmf.3 Changes wmf/1.37.0-wmf.3

This MediaWiki Train Deployment is scheduled for the week of Monday, April 26th:

Monday April 26thTuesday, April 27thWednesday, April 28thThursday, April 29thFriday
Backports only.Branch wmf.3 and deploy to Group 0 Wikis.Deploy wmf.3 to Group 1 Wikis.Deploy wmf.3 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.3 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.37.0-wmf.2
Next: 1.37.0-wmf.4

Related Objects

Event Timeline

thcipriani updated Backup Conductor, added: jeena; removed: LarsWirzenius.
thcipriani added a subscriber: brennen.
Jdforrester-WMF renamed this task from 1.36.0-wmf.41 deployment blockers to 1.37.0-wmf.2 deployment blockers.Apr 6 2021, 8:04 PM
mmodell changed Release Version from 1.36.0-wmf.41 to 1.37.0-wmf.2.Apr 7 2021, 5:19 PM

Risky Patch! 🚂🔥

thcipriani renamed this task from 1.37.0-wmf.2 deployment blockers to 1.37.0-wmf.3 deployment blockers.Wed, Apr 14, 3:47 PM
thcipriani changed Release Version from 1.37.0-wmf.2 to 1.37.0-wmf.3.

Note: I deleted MediaWiki:GrowthExperimentsConfig.json from test.wikipedia, which should suppress this error. Once the patch I have for this task will get backported, I'll undo my deletion and make sure the error doesn't happen anymore.

There's a train blocker, but I'm promoting train to group0 to see how bad things get. I can roll back if need be.

Change 683419 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] group1 wikis to 1.37.0-wmf.3 refs T278347

https://gerrit.wikimedia.org/r/683419

Change 683419 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.37.0-wmf.3 refs T278347

https://gerrit.wikimedia.org/r/683419

Mentioned in SAL (#wikimedia-operations) [2021-04-28T19:12:33Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.37.0-wmf.3 refs T278347

Mentioned in SAL (#wikimedia-operations) [2021-04-28T19:13:41Z] <jhuneidi@deploy1002> Synchronized php: group1 wikis to 1.37.0-wmf.3 refs T278347 (duration: 01m 07s)

Change 683710 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] group1 wikis to 1.37.0-wmf.3 refs T278347

https://gerrit.wikimedia.org/r/683710

Change 683710 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.37.0-wmf.3 refs T278347

https://gerrit.wikimedia.org/r/683710

Mentioned in SAL (#wikimedia-operations) [2021-04-29T19:45:24Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.37.0-wmf.3 refs T278347

Mentioned in SAL (#wikimedia-operations) [2021-04-29T19:46:32Z] <jhuneidi@deploy1002> Synchronized php: group1 wikis to 1.37.0-wmf.3 refs T278347 (duration: 01m 08s)

Change 683714 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] all wikis to 1.37.0-wmf.3 refs T278347

https://gerrit.wikimedia.org/r/683714

Change 683714 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.37.0-wmf.3 refs T278347

https://gerrit.wikimedia.org/r/683714

Mentioned in SAL (#wikimedia-operations) [2021-04-29T20:00:19Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.37.0-wmf.3 refs T278347

Train seems to have been OK since yesterady, closing task.